> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscription

> Get the shared Web subscription and remaining credits.

MCP tool: `podcast_subscription`. OAuth scope: `podcast.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/subscription
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/subscription:
    get:
      tags:
        - Podcast
      summary: subscription
      description: Get the shared Web subscription and remaining credits.
      operationId: podcast_subscription
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.UserCurrentSubscriptionResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.UserCurrentSubscriptionResp:
      properties:
        coupon:
          allOf:
            - $ref: '#/components/schemas/vo.CmzPromoteCouponsInfo'
          description: 优惠券
        current_api_credit:
          description: 当前api credit
          type: number
        current_credit:
          description: 当前credit
          type: number
        current_dp_usage:
          description: 当前数字人使用量
          type: integer
        current_seat:
          description: 当前席位使用量
          type: integer
        enterprise_member:
          description: 是否企业成员
          type: boolean
        enterprise_member_detail:
          $ref: '#/components/schemas/vo.EnterpriseMemberItem'
        goods_name:
          description: 当前订阅商品名称
          type: string
        goods_sn:
          description: 当前订阅商品SN
          type: string
        goods_type:
          description: 当前订阅商品类型
          type: integer
        ltd_code:
          description: ltd code
          type: string
        ltd_tier:
          description: ltd tier
          type: integer
        num:
          description: 购买数量
          type: integer
        order_sn:
          description: 当前订阅order sn
          type: string
        pay_price:
          description: 当前订阅支付金额
          type: number
        period:
          description: 当前订阅有效天数
          type: string
        plan_current_credit:
          description: 订阅套餐剩余 credit
          type: number
        plan_info_id:
          description: 订阅计划信息ID
          type: integer
        plan_total_credit:
          description: 订阅套餐总 credit
          type: number
        primary_account:
          allOf:
            - $ref: '#/components/schemas/vo.UserPrimaryAccountInfoResp'
          description: 主账号信息
        privileges:
          allOf:
            - $ref: '#/components/schemas/model.CmzGoodsPrivileges'
          description: 补充包商品权益
        purchase_credit:
          description: 购买的credit总数 当前商品credit * 购买数量
          type: number
        sell_price:
          description: 当前订阅销售价
          type: number
        service_days:
          description: 当前订阅有效天数
          type: integer
        subscribe_plan:
          description: 订阅计划
          type: string
        subscribe_plan_int:
          description: 订阅计划int值
          type: integer
        subscription_status:
          description: 当前订阅状态，0:无订阅 1:正在订阅中 2:已取消下一次订阅
          type: integer
        supplements:
          description: 补充包订单
          items:
            $ref: '#/components/schemas/vo.UserCurrentSubscriptionSupplement'
          type: array
        total_api_credit:
          description: 总api credit
          type: number
        total_credit:
          description: 总credit
          type: number
        total_dp_usage:
          description: 总数字人使用量
          type: integer
        total_order_price:
          description: 总订单价格，不包含优惠券
          type: number
        total_pay_price:
          description: 总支付金额，当前订阅计划+补充包
          type: number
        total_seat:
          description: 总的席位数
          type: integer
        video_count:
          description: 生成视频个数
          type: integer
        vip_end:
          description: 当前订阅结束时间
          type: integer
        vip_start:
          description: 当前订阅开始时间
          type: integer
      type: object
    vo.CmzPromoteCouponsInfo:
      properties:
        amount_off:
          description: 直减金额(到分)
          type: integer
        amount_off_dollar:
          description: 直减金额(到美元)
          type: number
        currency:
          description: 币种
          type: string
        percent_off:
          description: 减少的百分比
          type: number
      type: object
    vo.EnterpriseMemberItem:
      properties:
        credits_quota:
          description: 配额相关
          type: number
        credits_used:
          type: number
        email:
          type: string
        has_validity:
          description: 有效期相关
          type: boolean
        id:
          description: 实际是enterprise_user_allocation.id
          type: integer
        lip_sync_quota:
          type: number
        lip_sync_used:
          type: number
        space_id:
          type: integer
        space_name:
          type: string
        user_id:
          type: integer
        user_status:
          type: integer
        username:
          type: string
        validity_end_time:
          type: integer
        validity_months:
          type: integer
        validity_start_time:
          type: integer
      type: object
    vo.UserPrimaryAccountInfoResp:
      properties:
        credit:
          type: number
        username:
          type: string
      type: object
    model.CmzGoodsPrivileges:
      properties:
        api_credit:
          description: api credit 数量
          type: number
        credit:
          description: credit 数量
          type: number
        lip_sync_duration:
          description: lip sync 秒数
          type: number
        team_seat:
          description: team 席位
          type: integer
      type: object
    vo.UserCurrentSubscriptionSupplement:
      properties:
        goods_name:
          description: 补充包商品名称
          type: string
        goods_type:
          description: 补充包商品类型
          type: integer
        num:
          description: 购买数量
          type: integer
        pay_price:
          description: 补充包支付金额
          type: number
        privileges:
          allOf:
            - $ref: '#/components/schemas/model.CmzGoodsPrivileges'
          description: 补充包商品权益
        purchase_credit:
          description: 购买的credit总数 当前商品credit * 购买数量
          type: number
        sell_price:
          description: 补充包销售价
          type: number
        status:
          description: 状态
          type: integer
        vip_end:
          description: 补充包结束时间
          type: integer
        vip_start:
          description: 补充包开始时间
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````